<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/playmate_list_item_bg"
    android:paddingBottom="10dp">

    <com.adealink.weparty.commonui.ripple.RippleView
        android:id="@+id/v_online"
        style="@style/CommonOnlineRipple"
        android:layout_width="88dp"
        android:layout_height="88dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/iv_avatar"
        app:layout_constraintEnd_toEndOf="@id/iv_avatar"
        app:layout_constraintStart_toStartOf="@id/iv_avatar"
        app:layout_constraintTop_toTopOf="@id/iv_avatar"
        app:ripple_circle_min_radius="39dp"
        tools:visibility="visible" />

    <com.adealink.weparty.commonui.imageview.AvatarView
        android:id="@+id/iv_avatar"
        android:layout_width="76dp"
        android:layout_height="76dp"
        android:layout_marginStart="12dp"
        android:layout_marginTop="12dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:roundingBorderColor="@color/white"
        app:roundingBorderWidth="1dp" />

    <com.adealink.weparty.module.playmate.widget.SoundView
        android:id="@+id/v_voice"
        android:layout_width="wrap_content"
        android:layout_height="26dp"
        android:layout_marginBottom="-10dp"
        android:visibility="visible"
        app:layout_constraintBottom_toBottomOf="@id/iv_avatar"
        app:layout_constraintEnd_toEndOf="@id/iv_avatar"
        app:layout_constraintStart_toStartOf="@id/iv_avatar"
        app:sound_duration_text_size="12sp"
        app:sound_show_play_button="false"
        app:sound_show_wave="true" />

    <com.adealink.weparty.module.playmate.widget.PriceView
        android:id="@+id/v_price"
        style="@style/CommonPriceView"
        android:layout_marginTop="4.5dp"
        app:layout_constraintEnd_toEndOf="@id/iv_avatar"
        app:layout_constraintStart_toStartOf="@id/iv_avatar"
        app:layout_constraintTop_toBottomOf="@id/v_voice"
        app:price_icon_size="14.4dp"
        app:price_text_bold="true"
        app:price_text_size="14sp"
        app:unit_text_size="12sp" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/v_price_discount"
        style="@style/CommonDiscountPriceUpView"
        android:layout_width="wrap_content"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="@id/v_price"
        app:layout_constraintStart_toStartOf="@id/v_price"
        app:layout_constraintTop_toBottomOf="@id/v_price"
        tools:text="90% OFF"
        tools:visibility="visible" />

    <androidx.constraintlayout.widget.Barrier
        android:id="@+id/v_barrier_start"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="end"
        app:constraint_referenced_ids="iv_avatar" />
    <!--姓名-->
    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="14dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/color_FF1D2129"
        android:textSize="14sp"
        android:textStyle="bold"
        app:layout_constrainedWidth="true"
        app:layout_constraintEnd_toStartOf="@id/v_gender"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintStart_toEndOf="@id/v_barrier_start"
        app:layout_constraintTop_toTopOf="@id/iv_avatar"
        tools:text="Super Beautiful Super Beautiful Super Beautiful" />
    <!--性别-->
    <com.adealink.weparty.module.profile.widget.GenderView
        android:id="@+id/v_gender"
        style="@style/CommonGenderView"
        android:layout_marginStart="4dp"
        android:layout_marginEnd="4dp"
        app:layout_constraintBottom_toBottomOf="@id/tv_name"
        app:layout_constraintEnd_toStartOf="@id/cl_location"
        app:layout_constraintStart_toEndOf="@id/tv_name"
        app:layout_constraintTop_toTopOf="@id/tv_name" />
    <!--位置-->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_location"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="12dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/tv_name"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/tv_name">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="11dp"
            android:layout_height="11dp"
            android:layout_marginEnd="2dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/tv_location"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/common_location_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_location"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF4E5969"
            android:textSize="11sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="Jakarta" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <!--评分-->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_comment"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginTop="3dp"
        app:layout_constraintStart_toEndOf="@id/v_barrier_start"
        app:layout_constraintTop_toBottomOf="@id/tv_name">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_star"
            android:layout_width="14dp"
            android:layout_height="14dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/common_evaluate_star_selected_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_star"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="3dp"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/color_FF1D2129"
            android:textSize="12sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/iv_star"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="4.2" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_comment"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="3dp"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/color_FF86909C"
            android:textSize="11sp"
            app:layout_constraintBaseline_toBaselineOf="@id/tv_star"
            app:layout_constraintStart_toEndOf="@id/tv_star"
            tools:text="(234评价)" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/cl_new"
        android:layout_width="wrap_content"
        android:layout_height="15dp"
        android:layout_marginStart="12dp"
        android:layout_marginTop="3dp"
        android:background="@drawable/common_new_playmate_tag_bg"
        android:gravity="center"
        android:includeFontPadding="false"
        android:paddingStart="6dp"
        android:paddingEnd="14dp"
        android:singleLine="true"
        android:text="@string/common_newbie"
        android:textColor="@color/color_FFDE9D2E"
        android:textSize="11sp"
        android:visibility="gone"
        app:layout_constraintStart_toEndOf="@id/v_barrier_start"
        app:layout_constraintTop_toBottomOf="@id/cl_comment"
        tools:visibility="visible" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_category"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="3dp"
        android:background="@drawable/playmate_list_item_category_bg"
        android:paddingVertical="2dp"
        android:paddingStart="12dp"
        android:paddingEnd="6dp"
        app:layout_constraintStart_toEndOf="@id/v_barrier_start"
        app:layout_constraintTop_toBottomOf="@id/cl_new">

        <com.adealink.frame.image.view.NetworkImageView
            android:id="@+id/iv_category"
            android:layout_width="16dp"
            android:layout_height="16dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:roundAsCircle="true" />

        <View
            android:id="@+id/v_category_frame"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="@id/iv_category"
            app:layout_constraintEnd_toEndOf="@id/iv_category"
            app:layout_constraintStart_toStartOf="@id/iv_category"
            app:layout_constraintTop_toTopOf="@id/iv_category" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_category"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="2dp"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/color_FF4E5969"
            android:textSize="11sp"
            app:layout_constraintBottom_toBottomOf="@id/iv_category"
            app:layout_constraintStart_toEndOf="@id/iv_category"
            app:layout_constraintTop_toTopOf="@id/iv_category"
            tools:text="Free Fire" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <!-- 简介 -->
    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_summary"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginTop="3dp"
        android:layout_marginEnd="12dp"
        android:background="@drawable/common_playmate_bubble_bg"
        android:ellipsize="end"
        android:gravity="start|center_vertical"
        android:includeFontPadding="false"
        android:paddingHorizontal="12dp"
        android:paddingTop="12dp"
        android:paddingBottom="6dp"
        android:singleLine="true"
        android:textColor="@color/color_FF3FBFBD"
        android:textSize="11sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/v_barrier_start"
        app:layout_constraintTop_toBottomOf="@id/cl_category"
        tools:text="Hello brother, multiple seasons of S, online technology, online awareness in ..." />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginTop="6dp"
        android:layout_marginEnd="12dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/v_barrier_start"
        app:layout_constraintTop_toBottomOf="@id/tv_summary">

        <com.adealink.frame.image.view.NetworkImageView
            android:id="@+id/iv_photo_1"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="1:1"
            app:layout_constraintEnd_toStartOf="@id/iv_photo_2"
            app:layout_constraintHorizontal_weight="1"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:roundedCornerRadius="12dp" />

        <com.adealink.frame.image.view.NetworkImageView
            android:id="@+id/iv_photo_2"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginStart="6dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="1:1"
            app:layout_constraintEnd_toStartOf="@id/iv_photo_3"
            app:layout_constraintHorizontal_weight="1"
            app:layout_constraintStart_toEndOf="@id/iv_photo_1"
            app:layout_constraintTop_toTopOf="parent"
            app:roundedCornerRadius="12dp" />

        <com.adealink.frame.image.view.NetworkImageView
            android:id="@+id/iv_photo_3"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginStart="6dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="1:1"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_weight="1"
            app:layout_constraintStart_toEndOf="@id/iv_photo_2"
            app:layout_constraintTop_toTopOf="parent"
            app:roundedCornerRadius="12dp" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>